summaryrefslogtreecommitdiffstats
path: root/games/openarena/openarena.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/openarena/openarena.SlackBuild')
-rw-r--r--games/openarena/openarena.SlackBuild30
1 files changed, 13 insertions, 17 deletions
diff --git a/games/openarena/openarena.SlackBuild b/games/openarena/openarena.SlackBuild
index cff260bf2a..ac82ea607c 100644
--- a/games/openarena/openarena.SlackBuild
+++ b/games/openarena/openarena.SlackBuild
@@ -23,17 +23,15 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=openarena
-VERSION=${VERSION:-0.8.5}
-SRC_VERSION=${SRC_VERSION:-0.8.1} # Keep this for future patches
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.8.8}
+SRC_VERSION=${SRC_VERSION:-0.8.8} # Keep this for future patches
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -44,7 +42,7 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
DOCS="CHANGES COPYING CREDITS LINUXNOTES README WENEED readme_085.txt \
-$CWD/$PRGNAM.SlackBuild"
+readme_088.txt $CWD/$PRGNAM.SlackBuild"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -60,24 +58,24 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
# Keep the following for future patches. Based on past history, this
# is inevitable.
-if test ! -f "oa085p.zip"; then
- echo "You need the oa085p.zip file in order to proceed."
- echo "Please visit the OpenArena homepage and download the"
- echo "patch file before continuing."
- exit 1
-fi
+#if test ! -f "name-of-patchfile.zip"; then
+# echo "You need the name-of-patchfile.zip file in order to proceed."
+# echo "Please visit the OpenArena homepage and download the"
+# echo "patch file before continuing."
+# exit 1
+#fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$SRC_VERSION
-unzip -o $CWD/oa081.zip
+unzip -o $CWD/openarena-0.8.8.zip
# Keep the following for any future patches
-unzip -o $CWD/oa085p.zip
+#unzip -o $CWD/name-of-patchfile.zip
cd $PRGNAM-$SRC_VERSION
chown -R root:root .
find . \
@@ -106,8 +104,6 @@ find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
mkdir -p $PKG/usr/share/games/openarena/{baseoa,missionpack}
cp -rf {baseoa,missionpack}/ $PKG/usr/share/games/openarena/
-#mkdir -p $PKG/usr/share/games/openarena/legacy
-#cp -a legacy/* $PKG/usr/share/games/openarena/legacy
find $PKG/usr/share/games/openarena/baseoa -type f -exec chmod 0644 {} \;
cp oa_ded{.i386,.x86_64} openarena{.i386,.x86_64} \
$PKG/usr/share/games/openarena